Timekit developers

POST Creating new service

Create a new service

Endpoint

POST https://api.timekit.io/v2/location/services

Parameters

Name In Type Required Default Description
name body string yes name of the service
description body string description of the current service
image_url body string URL of an image for given service
meta body object metadata that you want to attach to this service
availability body object Define availability parameters for given service. Only length, from, to and buffer are stored; any other key is ignored
availability_constraints body array_object Availability constraints for the service, in the same format as on projects
customer_fields body object Inputs the customer fills out when booking, in the same format as on projects
categories body array_string blank Define if you want to attach any categories to this service

Request examples

curl
curl --request POST \
  --url https://api.timekit.io/v2/location/services \
  --header 'Content-Type: application/json' \
  --user :test_api_key_nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
  --data '{
  "name": "Hair Cut Appointment",
  "description": "Hair Cut Appointment",
  "image_url": "https://www.dressingwell.com/images/store/dw-virtual-laptop.jpg",
  "categories": [],
  "availability": {
    "to": "4 weeks",
    "length": "1 hours",
    "buffer": "0 minutes"
  }
}'

Response examples

201

json
{
    "data": {
        "meta": {
            "t_private": 0,
            "t_disabled": 0,
            "t_store_capacity_shared": 0,
            "t_appointment_type_name": "Hair Cut Appointment",
            "t_appointment_type_image": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
            "t_appointment_type_description": "Hair Cut Appointment",
            "t_project_type": "global_appointment_type_project"
        },
        "id": "ad507655-5b89-420b-9b3e-9491f606e1e3",
        "name": "Hair Cut Appointment",
        "image_url": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
        "categories": [],
        "description": "Hair Cut Appointment",
        "customer_fields": {},
        "availability_constraints": [],
        "availability": {
            "length": "1 hours",
            "to": "4 weeks",
            "buffer": "0 minutes"
        },
        "created_at": "2023-05-11T11:05:24-0400",
        "updated_at": "2023-05-11T11:05:24-0400"
    }
}
Last edited 6 October 2026.